Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define __cmake_in_source_build 1
Name:       ArpON
Version:    3.0
Release:    alt2_26
Summary:    ARP handler inspection

License:    BSD
URL:        http://arpon.sourceforge.net/
Source0:    http://downloads.sourceforge.net/project/arpon/arpon/ArpON-%{version}/ArpON-%{version}-ng.tar.gz
Patch1:     ArpON-gcc-7-fixes.patch
Patch2:     ArpON-gcc-8-fixes.patch
# See RHBZ#2045151. Patch provided by atu@nmetau.edu.ua
Patch3:     ArpON-atu1.patch

BuildRequires:  gcc
BuildRequires:  libpcap-devel
BuildRequires:  ctest cmake
BuildRequires:  libnet2-devel
BuildRequires:  libdnet-devel
Source44: import.info

%description
ArpON (ARP handler inspection) is a Host-based solution that make the ARP
standardized protocol secure in order to avoid the Man In The Middle (MITM)
attack through the ARP spoofing, ARP cache poisoning or ARP poison routing
attack.

%prep
%setup -q -n %{name}-%{version}-ng
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{fedora_v2_cmake} -DCMAKE_INSTALL_PREFIX="/" .
make %{?_smp_mflags}

%install
install -D -pm 755 src/arpon %{buildroot}%{_sbindir}/arpon
install -D -pm 644 man8/arpon.8 %{buildroot}%{_mandir}/man8/arpon.8
install -D -pm 644 etc/arpon.conf %{buildroot}/etc/arpon.conf
install -D -pm 644 log/arpon.log %{buildroot}/var/log/arpon.log

%files
%doc --no-dereference LICENSE
%doc AUTHOR CHANGELOG doc/*
%{_sbindir}/arpon
/etc/arpon.conf
/var/log/arpon.log
%{_mandir}/man8/arpon.8*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 3.0-alt2_26
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 3.0-alt2_23
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 3.0-alt2_22
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 3.0-alt2_18
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 3.0-alt2_17
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 3.0-alt2_16
- update to new release by fcimport

* Sun Nov 01 2020 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_16
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_13
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_12
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_11
- update to new release by fcimport

* Sun Sep 16 2018 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_10
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_9
- update to new release by fcimport

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_8
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_2
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.7-alt1_11
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.7-alt1_10
- update to new release by fcimport

* Mon Oct 20 2014 Igor Vlasenko <viy@altlinux.ru> 2.7-alt1_9
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2.7-alt1_8
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 2.7-alt1_7
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 2.7-alt1_6
- update to new release by fcimport

* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 2.7-alt1_5
- initial fc import

